# Submitting pull requests

Pull requests should go via GitHub; there are some nice
[general guidelines for contributing on GitHub](https://guides.github.com/activities/contributing-to-open-source/)
if you haven't done it before.

Unless your fix is trivial, it's a good idea to look for related
discussions and maybe open an issue to discuss, before making a
pull request. Discussion in advance may keep you from wasting time
on an approach that won't work out. However, if you communicate
better in code than in words, starting with a patch is
fine... just be willing to revise it!

Before we can accept pull requests, you will need to agree to the
Typesafe Contributor License Agreement online, using your GitHub
account - it takes 30 seconds.  You can do this at
https://www.lightbend.com/contribute/cla

Expect that most PRs will need revision before merge. If people
suggest revisions, you can make them yourself or wait for a
maintainer to do it on their own timeline. The larger the PR, the
more revision will likely be needed.

# Making a release

See RELEASING.md
