package com.typesafe.config;

import com.typesafe.config.impl.*;

import java.io.File;
import java.net.MalformedURLException;
import java.net.URL;

/**
 * Default config loading strategy. Able to load resource, file or URL.
 * Behavior may be altered by defining one of VM properties
 * {@code config.resource}, {@code config.file} or {@code config.url}
 */
public class DefaultConfigLoadingStrategy implements ConfigLoadingStrategy {
    @Override
    public Config parseApplicationConfig(ConfigParseOptions parseOptions) {
        Config overrideConfig = ConfigFactory.parseApplicationOverride(parseOptions);
        if (overrideConfig.isEmpty()) {
            return ConfigFactory.parseResourcesAnySyntax("application", parseOptions);
        } else {
            return overrideConfig;
        }
    }
}
